Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class Format1DSCB

    java.lang.Object
      com.ibm.jzos.Format1DSCB

    public class Format1DSCB

extends java.lang.Object

A object which maps a Format-1 DSCB (Dataset Control Block), which is a record from the VTOC that describes a MVS dataset.

This mapping is a direct, field-for-field translation of the assembler DSECT described by 'SYS1.MODGEN(IECSDSL1)'. Refer to IECSDSL1 for more information.

See Also:
  `ZFile.obtainDSN(String, String)`

Field Summary
`static int` | `BUF_LEN`
`static int` | `DS1ACBM`
`static int` | `DS1ALX`
`static int` | `DS1AVR`
`static int` | `DS1AVRND`
`static int` | `DS1CHKPT`
`static int` | `DS1COMPR`
`static int` | `DS1CONTG`
`static int` | `DS1CPOIT`
`static int` | `DS1CRSDB`
`static int` | `DS1CYL`
`static int` | `DS1DSABS`
`static int` | `DS1DSAE`
`static int` | `DS1DSCHA`
`static int` | `DS1DSGCX`
`static int` | `DS1DSGDA`
`static int` | `DS1DSGGS`
`static int` | `DS1DSGIS`
`static int` | `DS1DSGPO`
`static int` | `DS1DSGPS`
`static int` | `DS1DSGTR`
`static int` | `DS1DSGTX`
`static int` | `DS1DSGU`
`static int` | `DS1DSPAC`
`static int` | `DS1END`
`static int` | `DS1EXPBY`
`static int` | `DS1EXT`
`static int` | `DS1IND01`
`static int` | `DS1IND02`
`static int` | `DS1IND04`
`static int` | `DS1IND08`
`static int` | `DS1IND10`
`static int` | `DS1IND20`
`static int` | `DS1IND40`
`static int` | `DS1IND80`
`static int` | `DS1LARGE`
`static int` | `DS1MSGP`
`static int` | `DS1MXIG`
`static int` | `DS1OPTBC`
`static int` | `DS1OPTIC`
`static int` | `DS1ORGAM`
`static int` | `DS1PDSE`
`static int` | `DS1PDSEX`
`static int` | `DS1RACDF`
`static int` | `DS1REBLK`
`static int` | `DS1RECAL`
`static int` | `DS1RECFA`
`static int` | `DS1RECFB`
`static int` | `DS1RECFF`
`static int` | `DS1RECFS`
`static int` | `DS1RECFT`
`static int` | `DS1RECFU`
`static int` | `DS1RECFV`
`static int` | `DS1RECMC`
`static int` | `DS1SCAVB`
`static int` | `DS1SCCP1`
`static int` | `DS1SCCP2`
`static int` | `DS1SCKB`
`static int` | `DS1SCMB`
`static int` | `DS1SCUB`
`static int` | `DS1SECTY`
`static int` | `DS1SMSDS`
`static int` | `DS1SMSUC`
`static int` | `DS1STRP`
`static int` | `DS1TRK`
`static int` | `DS1WRSEC`

Constructor Summary
`Format1DSCB()` Construct an instance, creating a new underlying byte array buffer
`Format1DSCB(byte[] buffer)` Construct an instance on an existing byte array.

Method Summary
`byte[]` | `getBytes()` Answer the underlying byte array mapped by this object.
`int` | `getDS1BLKL()`
`int` | `getDS1CREDT_DDDD()`
`int` | `getDS1CREDT_YY()`
`int` | `getDS1CREDT()`
`int` | `getDS1DSIND()`
`java.lang.String` | `getDS1DSNAM()`
`int` | `getDS1DSORG()`
`java.lang.String` | `getDS1DSSN()`
`int` | `getDS1EXPDT_DDDD()`
`int` | `getDS1EXPDT_YY()`
`int` | `getDS1EXPDT()`
`byte[]` | `getDS1EXT1()`
`byte[]` | `getDS1EXT2()`
`byte[]` | `getDS1EXT3()`
`int` | `getDS1FLAG1()`
`java.lang.String` | `getDS1FMTID()`
`int` | `getDS1KEYL()`
`int` | `getDS1LRECL()`
`int` | `getDS1NOBDB()`
`int` | `getDS1NOEPV()`
`int` | `getDS1OPTCD()`
`byte[]` | `getDS1PTRDS()`
`int` | `getDS1RECFM()`
`int` | `getDS1REFD_DDDD()`
`int` | `getDS1REFD_YY()`
`int` | `getDS1REFD()`
`int` | `getDS1RKP()`
`int` | `getDS1SCAL1()`
`int` | `getDS1SCAL3()`
`byte[]` | `getDS1SCALO()`
`byte[]` | `getDS1SCEXT()`
`int` | `getDS1SCXTF()`
`int` | `getDS1SCXTV()`
`int` | `getDS1SMSFG()`
`int` | `getDS1STAR()`
`java.lang.String` | `getDS1SYSCD()`
`int` | `getDS1TRBAL()`
`int` | `getDS1TTTHI()`
`int` | `getDS1VOLSQ()`
`void` | `printOn(java.io.Writer writer)` Print a formatted dump of the fields in this DSCB
`void` | `setDS1BLKL(int ds1blkl)`
`void` | `setDS1CREDT(int value)`
`void` | `setDS1DSIND(int ds1blkl)`
`void` | `setDS1DSNAM(java.lang.String string)`
`void` | `setDS1DSORG(int value)`
`void` | `setDS1DSSN(java.lang.String string)`
`void` | `setDS1EXPDT(int value)`
`void` | `setDS1EXT1(byte[] value)`
`void` | `setDS1EXT2(byte[] value)`
`void` | `setDS1EXT3(byte[] value)`
`void` | `setDS1FLAG1(int value)`
`void` | `setDS1FMTID(java.lang.String string)`
`void` | `setDS1KEYL(int ds1blkl)`
`void` | `setDS1LRECL(int ds1blkl)`
`void` | `setDS1NOBDB(int value)`
`void` | `setDS1NOEPV(int value)`
`void` | `setDS1OPTCD(int value)`
`void` | `setDS1PTRDS(byte[] value)`
`void` | `setDS1RECFM(int value)`
`void` | `setDS1REFD(int value)`
`void` | `setDS1RKP(int ds1blkl)`
`void` | `setDS1SCAL1(int value)`
`void` | `setDS1SCAL3(int value)`
`void` | `setDS1SCALO(byte[] value)`
`void` | `setDS1SCEXT(byte[] value)`
`void` | `setDS1SCXTF(int value)`
`void` | `setDS1SCXTV(int value)`
`void` | `setDS1SMSFG(int value)`
`void` | `setDS1STAR(int value)`
`void` | `setDS1SYSCD(java.lang.String value)`
`void` | `setDS1TRBAL(int value)`
`void` | `setDS1TTTHI(int value)`
`void` | `setDS1VOLSQ(int anInt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUF_LEN

    public static final int BUF_LEN

See Also:
  Constant Field Values

### DS1COMPR

    public static final int DS1COMPR

See Also:
  Constant Field Values

### DS1CPOIT

    public static final int DS1CPOIT

See Also:
  Constant Field Values

### DS1EXPBY

    public static final int DS1EXPBY

See Also:
  Constant Field Values

### DS1RECAL

    public static final int DS1RECAL

See Also:
  Constant Field Values

### DS1LARGE

    public static final int DS1LARGE

See Also:
  Constant Field Values

### DS1SMSDS

    public static final int DS1SMSDS

See Also:
  Constant Field Values

### DS1SMSUC

    public static final int DS1SMSUC

See Also:
  Constant Field Values

### DS1REBLK

    public static final int DS1REBLK

See Also:
  Constant Field Values

### DS1CRSDB

    public static final int DS1CRSDB

See Also:
  Constant Field Values

### DS1PDSE

    public static final int DS1PDSE

See Also:
  Constant Field Values

### DS1STRP

    public static final int DS1STRP

See Also:
  Constant Field Values

### DS1PDSEX

    public static final int DS1PDSEX

See Also:
  Constant Field Values

### DS1DSAE

    public static final int DS1DSAE

See Also:
  Constant Field Values

### DS1SCAVB

    public static final int DS1SCAVB

See Also:
  Constant Field Values

### DS1SCMB

    public static final int DS1SCMB

See Also:
  Constant Field Values

### DS1SCKB

    public static final int DS1SCKB

See Also:
  Constant Field Values

### DS1SCUB

    public static final int DS1SCUB

See Also:
  Constant Field Values

### DS1SCCP1

    public static final int DS1SCCP1

See Also:
  Constant Field Values

### DS1SCCP2

    public static final int DS1SCCP2

See Also:
  Constant Field Values

### DS1DSGIS

    public static final int DS1DSGIS

See Also:
  Constant Field Values

### DS1DSGPS

    public static final int DS1DSGPS

See Also:
  Constant Field Values

### DS1DSGDA

    public static final int DS1DSGDA

See Also:
  Constant Field Values

### DS1DSGCX

    public static final int DS1DSGCX

See Also:
  Constant Field Values

### DS1DSGPO

    public static final int DS1DSGPO

See Also:
  Constant Field Values

### DS1DSGU

    public static final int DS1DSGU

See Also:
  Constant Field Values

### DS1DSGGS

    public static final int DS1DSGGS

See Also:
  Constant Field Values

### DS1DSGTX

    public static final int DS1DSGTX

See Also:
  Constant Field Values

### DS1ACBM

    public static final int DS1ACBM

See Also:
  Constant Field Values

### DS1ORGAM

    public static final int DS1ORGAM

See Also:
  Constant Field Values

### DS1DSGTR

    public static final int DS1DSGTR

See Also:
  Constant Field Values

### DS1RECFF

    public static final int DS1RECFF

See Also:
  Constant Field Values

### DS1RECFV

    public static final int DS1RECFV

See Also:
  Constant Field Values

### DS1RECFU

    public static final int DS1RECFU

See Also:
  Constant Field Values

### DS1RECFT

    public static final int DS1RECFT

See Also:
  Constant Field Values

### DS1RECFB

    public static final int DS1RECFB

See Also:
  Constant Field Values

### DS1RECFS

    public static final int DS1RECFS

See Also:
  Constant Field Values

### DS1RECFA

    public static final int DS1RECFA

See Also:
  Constant Field Values

### DS1RECMC

    public static final int DS1RECMC

See Also:
  Constant Field Values

### DS1OPTIC

    public static final int DS1OPTIC

See Also:
  Constant Field Values

### DS1OPTBC

    public static final int DS1OPTBC

See Also:
  Constant Field Values

### DS1IND80

    public static final int DS1IND80

See Also:
  Constant Field Values

### DS1IND40

    public static final int DS1IND40

See Also:
  Constant Field Values

### DS1RACDF

    public static final int DS1RACDF

See Also:
  Constant Field Values

### DS1IND20

    public static final int DS1IND20

See Also:
  Constant Field Values

### DS1IND10

    public static final int DS1IND10

See Also:
  Constant Field Values

### DS1SECTY

    public static final int DS1SECTY

See Also:
  Constant Field Values

### DS1IND08

    public static final int DS1IND08

See Also:
  Constant Field Values

### DS1IND04

    public static final int DS1IND04

See Also:
  Constant Field Values

### DS1WRSEC

    public static final int DS1WRSEC

See Also:
  Constant Field Values

### DS1IND02

    public static final int DS1IND02

See Also:
  Constant Field Values

### DS1DSCHA

    public static final int DS1DSCHA

See Also:
  Constant Field Values

### DS1IND01

    public static final int DS1IND01

See Also:
  Constant Field Values

### DS1CHKPT

    public static final int DS1CHKPT

See Also:
  Constant Field Values

### DS1DSPAC

    public static final int DS1DSPAC

See Also:
  Constant Field Values

### DS1CYL

    public static final int DS1CYL

See Also:
  Constant Field Values

### DS1TRK

    public static final int DS1TRK

See Also:
  Constant Field Values

### DS1AVR

    public static final int DS1AVR

See Also:
  Constant Field Values

### DS1AVRND

    public static final int DS1AVRND

See Also:
  Constant Field Values

### DS1MSGP

    public static final int DS1MSGP

See Also:
  Constant Field Values

### DS1EXT

    public static final int DS1EXT

See Also:
  Constant Field Values

### DS1CONTG

    public static final int DS1CONTG

See Also:
  Constant Field Values

### DS1MXIG

    public static final int DS1MXIG

See Also:
  Constant Field Values

### DS1ALX

    public static final int DS1ALX

See Also:
  Constant Field Values

### DS1DSABS

    public static final int DS1DSABS

See Also:
  Constant Field Values

### DS1END

    public static int DS1END

Constructor Detail

### Format1DSCB

    public Format1DSCB()

  Construct an instance, creating a new underlying byte array buffer

### Format1DSCB

    public Format1DSCB(byte[] buffer)

  Construct an instance on an existing byte array.

  Parameters:
    `buffer` - the byte array used as backing memory for the structure

Method Detail

### getBytes

    public byte[] getBytes()

  Answer the underlying byte array mapped by this object.

  Returns:
    byte[]

### getDS1DSNAM

    public java.lang.String getDS1DSNAM()

### setDS1DSNAM

    public void setDS1DSNAM(java.lang.String string)

### getDS1FMTID

    public java.lang.String getDS1FMTID()

### setDS1FMTID

    public void setDS1FMTID(java.lang.String string)

### getDS1DSSN

    public java.lang.String getDS1DSSN()

### setDS1DSSN

    public void setDS1DSSN(java.lang.String string)

### getDS1VOLSQ

    public int getDS1VOLSQ()

### setDS1VOLSQ

    public void setDS1VOLSQ(int anInt)

### getDS1CREDT

    public int getDS1CREDT()

### getDS1CREDT_YY

    public int getDS1CREDT_YY()

### getDS1CREDT_DDDD

    public int getDS1CREDT_DDDD()

### setDS1CREDT

    public void setDS1CREDT(int value)

### getDS1EXPDT

    public int getDS1EXPDT()

### getDS1EXPDT_YY

    public int getDS1EXPDT_YY()

### getDS1EXPDT_DDDD

    public int getDS1EXPDT_DDDD()

### setDS1EXPDT

    public void setDS1EXPDT(int value)

### getDS1NOEPV

    public int getDS1NOEPV()

### setDS1NOEPV

    public void setDS1NOEPV(int value)

### getDS1NOBDB

    public int getDS1NOBDB()

### setDS1NOBDB

    public void setDS1NOBDB(int value)

### getDS1FLAG1

    public int getDS1FLAG1()

### setDS1FLAG1

    public void setDS1FLAG1(int value)

### getDS1SYSCD

    public java.lang.String getDS1SYSCD()

### setDS1SYSCD

    public void setDS1SYSCD(java.lang.String value)

### getDS1REFD

    public int getDS1REFD()

### getDS1REFD_YY

    public int getDS1REFD_YY()

### getDS1REFD_DDDD

    public int getDS1REFD_DDDD()

### setDS1REFD

    public void setDS1REFD(int value)

### getDS1SMSFG

    public int getDS1SMSFG()

### setDS1SMSFG

    public void setDS1SMSFG(int value)

### getDS1SCEXT

    public byte[] getDS1SCEXT()

### setDS1SCEXT

    public void setDS1SCEXT(byte[] value)

### getDS1SCXTF

    public int getDS1SCXTF()

### setDS1SCXTF

    public void setDS1SCXTF(int value)

### getDS1SCXTV

    public int getDS1SCXTV()

### setDS1SCXTV

    public void setDS1SCXTV(int value)

### getDS1DSORG

    public int getDS1DSORG()

### setDS1DSORG

    public void setDS1DSORG(int value)

### getDS1RECFM

    public int getDS1RECFM()

### setDS1RECFM

    public void setDS1RECFM(int value)

### getDS1OPTCD

    public int getDS1OPTCD()

### setDS1OPTCD

    public void setDS1OPTCD(int value)

### getDS1BLKL

    public int getDS1BLKL()

### setDS1BLKL

    public void setDS1BLKL(int ds1blkl)

### getDS1LRECL

    public int getDS1LRECL()

### setDS1LRECL

    public void setDS1LRECL(int ds1blkl)

### getDS1KEYL

    public int getDS1KEYL()

### setDS1KEYL

    public void setDS1KEYL(int ds1blkl)

### getDS1RKP

    public int getDS1RKP()

### setDS1RKP

    public void setDS1RKP(int ds1blkl)

### getDS1DSIND

    public int getDS1DSIND()

### setDS1DSIND

    public void setDS1DSIND(int ds1blkl)

### getDS1SCALO

    public byte[] getDS1SCALO()

### setDS1SCALO

    public void setDS1SCALO(byte[] value)

### getDS1SCAL1

    public int getDS1SCAL1()

### setDS1SCAL1

    public void setDS1SCAL1(int value)

### getDS1SCAL3

    public int getDS1SCAL3()

### setDS1SCAL3

    public void setDS1SCAL3(int value)

### getDS1STAR

    public int getDS1STAR()

### setDS1STAR

    public void setDS1STAR(int value)

### getDS1TRBAL

    public int getDS1TRBAL()

### setDS1TRBAL

    public void setDS1TRBAL(int value)

### getDS1TTTHI

    public int getDS1TTTHI()

### setDS1TTTHI

    public void setDS1TTTHI(int value)

### getDS1EXT1

    public byte[] getDS1EXT1()

### setDS1EXT1

    public void setDS1EXT1(byte[] value)

### getDS1EXT2

    public byte[] getDS1EXT2()

### setDS1EXT2

    public void setDS1EXT2(byte[] value)

### getDS1EXT3

    public byte[] getDS1EXT3()

### setDS1EXT3

    public void setDS1EXT3(byte[] value)

### getDS1PTRDS

    public byte[] getDS1PTRDS()

### setDS1PTRDS

    public void setDS1PTRDS(byte[] value)

### printOn

    public void printOn(java.io.Writer writer)
                 throws java.io.IOException

  Print a formatted dump of the fields in this DSCB

  Parameters:
    `writer` - the output sink
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD